<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <img src="" id="miImagen">
    <script type="text/javascript">
        // fetch('https://httpbin.org/post',{
        //     method: 'POST',
        //     headers: {
        //         'Content-Type': 'application/x-www-form-urlencoded'
        //     },
        //     body: 'a=1&b=2'
        // })
        // .then(function(response){
        //     console.log('response = ', response);
        //     return response.json();
        // })
        // .then(function(data){
        //     console.log('Data = ', data);
        // })
        // .catch(function(err){
        //     console.error(err);
        // })

        // fetch('https://httpbin.org/post',{
        //     method: 'POST',
        //     headers: {
        //         'Content-Type': 'application/json'
        //     },
        //     body: JSON.stringify({"a": 1, "b":2}),
        //     cache: 'no-cache'
        // })
        // .then(function(response){
        //     console.log('response = ', response);
        //     return response.json();
        // })
        // .then(function(data){
        //     console.log('Data = ', data);
        // })
        // .catch(function(err){
        //     console.error(err);
        // })

        // fetch('https://httpbin.org/ip')
        // .then(function(response){
        //     console.log('response.body ', response.body);
        //     console.log('response.bodyUsed', response.bodyUsed);
        //     console.log('response.headers', response.headers);
        //     console.log('response.ok', response.ok);
        //     console.log('response.status',response.status);
        //     console.log('response.statusText', response.statusText);
        //     console.log('response.type', response.type);
        //     console.log('response.url', response.url);
        //     return response.json();
        // })
        // .then(function(data){
        //     console.log('data = ', data);
        // })
        // .catch(function(err){
        //     console.log(err);
        // });

        // var headers = new Headers();
        // headers.append('a','1');
        // headers.append('b','2');
        // var request = new Request('https://httpbin.org/ip',{
        //     headers: headers
        // });
        // console.log('request = ', request);
        // for(var k of request.headers.keys()){
        //     console.log('request.headers.get("' + k + '") = ', request.headers.get(k));
        // }
        // fetch(request)
        // .then(function(response){
        //     console.log("response = ", response);
        //     for(var k of request.headers.keys()){
        //         console.log('request.headers.get("' + k + '") = ', request.headers.get(k));
        //     }
        //     return response.text();
        // })
        // .then(function(data){
        //     console.log("data = ",data);
        // })
        // .catch(function(err){
        // console.log(err);
        // });
        
        fetch('flores.png').then(function(response){
            if(response.ok){
                response.blob().then(function(miBlob){
                    var objectURL = URL.createObjectURL(miBlob);
                    miImagen.src = objectURL;
                });
            }else{
                console.log('Respuesta de red ok.');
            }
        })
        .catch(function(err){
        console.log('Hubo un problema con la peticion de fetch: ' + console.error.message);
        });
    </script>
</body>
</html>